Bug 11073 - Xserver fails because it tries to acquire I/O resources of other device
Summary: Xserver fails because it tries to acquire I/O resources of other device
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: 7.2 (2007.02)
Hardware: PowerPC All
: high critical
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL: http://bugs.debian.org/cgi-bin/bugrep...
Whiteboard:
Keywords:
Depends on:
Blocks: xorg-7.4
  Show dependency treegraph
 
Reported: 2007-05-28 13:56 UTC by Brice Goglin
Modified: 2008-03-24 12:13 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brice Goglin 2007-05-28 13:56:59 UTC
This bug has been reported on the Debian BTS by at least four people. It occurs with Xserver 1.1 and 1.3 (but not with earlier XFree86). Manuel Tobias Schiller found out the problem.

Xserver fails to start on Powermac G3 machines because it tries to acquire I/O resources of another devices (a network board). Xorg works alone. The network works alone. However, when both are enabled, both fail. More the details (including the log, config, and links to other related bugs) are in the Debian BTS at the url above. To summarize the problem:

lspci -v says:
> 00:0d.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone]
> 	I/O ports at fe000400 [size=128]
> 00:12.0 VGA compatible controller: ATI Technologies Inc 3D Rage Pro 215GP
> 	I/O ports at fe001000 [size=256]

and Xorg.0.log says
> (EE) ATI(0): Unable to register the following bus resources:
> 	[0] 0	0	0xfe000400 - 0xfe0004ff (0x100) IS[B]

It shows the problem, which makes Xserver unusable on these machines.

Brice
Comment 1 Adam Jackson 2008-02-24 18:55:23 UTC
Mach64: kind of broken!
Comment 2 Adam Jackson 2008-03-24 11:28:55 UTC
I expect this is resolved for free by switching to libpciaccess, and therefore not screwing around with the kernel's resource allocations.  That error message doesn't even exist anymore, either in the server or in the mach64 driver.

So I'm just going to optimistically call this fixed and hope I'm right ;) Please reopen if I'm wrong.
Comment 3 Brice Goglin 2008-03-24 12:13:07 UTC
Fair enough, I just pinged all my downstream reporters to try again with Xserver 1.4.99.90x.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.